Fehler im Migrationsscript 5.0.29 -> 6.0.12

Hilfe zu OTRS Problemen aller Art
Post Reply
eicki
OTRS newbie
Posts: 16
Joined: 01 Dec 2010, 12:55
OTRS Version?: 5.0.29

Fehler im Migrationsscript 5.0.29 -> 6.0.12

Post by eicki » 09 Nov 2018, 15:58

Hallo zusammen,

ich habe einen Fehler im Migrationsscript und weiß nicht mehr weiter. Hat hier jemand eine Idee?

Und zwar tritt der Fehler in Schritt 39 auf:

Step 39 of 42: Refresh configuration cache another time ...
Can't locate object method "_ConfigurationFilesDeployCheck" via package "Kernel::System::Package" at /opt/otrs/scripts/DBUpdateTo6/Base.pm line 66.

Danach bricht das Script ab. Ist auch reproduzierbar.

Hat jemand eine Idee?

Viele Grüße,
Jens
Prod:
OTRS: 5.0.29
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.6.39

Dev:
OTRS: 6.0.10
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.7.21

reneeb
OTRS guru
Posts: 4706
Joined: 13 Mar 2011, 09:54
OTRS Version?: 3.3.x
Company: Perl-Services.de
Contact:

Re: Fehler im Migrationsscript 5.0.29 -> 6.0.12

Post by reneeb » 09 Nov 2018, 16:23

Was hast Du denn gemacht (welche Schritte)? Kann es sein, dass das Skript - aus welchen Gründen auch immer - auf veralteten Code zugreift?
Perl / OTRS development: http://perl-services.de
Free OTRS add ons from the community: http://opar.perl-services.de
Commercial add ons: http://feature-addons.de

eicki
OTRS newbie
Posts: 16
Joined: 01 Dec 2010, 12:55
OTRS Version?: 5.0.29

Re: Fehler im Migrationsscript 5.0.29 -> 6.0.12

Post by eicki » 09 Nov 2018, 16:26

Also, hier mal ganz grob, ohne Backup usw.:

1.) rpm -Uvh otrs...6.0.12.rpm
2.) bin/otrs.Console.pl Dev::Tools::Migrate::ConfigXMLStructure --source-directory Kernel/Config/Files
3.) scripts/DBUpdate-to-6.pl
Prod:
OTRS: 5.0.29
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.6.39

Dev:
OTRS: 6.0.10
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.7.21

eicki
OTRS newbie
Posts: 16
Joined: 01 Dec 2010, 12:55
OTRS Version?: 5.0.29

Re: Fehler im Migrationsscript 5.0.29 -> 6.0.12

Post by eicki » 15 Nov 2018, 15:47

Hat denn keiner eine Idee? Auch mit der neuesten Version kommt es zu diesem Fehler im Update-Script
Prod:
OTRS: 5.0.29
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.6.39

Dev:
OTRS: 6.0.10
OS: CentOS 7 (Virtuozzo Container), Apache 2.4.6, Perl 5.16.3
DB: MySQL 5.7.21

Post Reply